## org.firebirdsql.jdbc
Interface FBObjectListener.FetcherListener

All Known Implementing Classes:
  AbstractResultSet, FBResultSet

Enclosing interface:
  FBObjectListener

    public static interface FBObjectListener.FetcherListener

Method Summary
`void` `allRowsFetched(org.firebirdsql.jdbc.FBFetcher fetcher)` Notify listener that underlying fetcher fetched all rows.
`void` `fetcherClosed(org.firebirdsql.jdbc.FBFetcher fetcher)` Notify listener that underlying fetcher is closed.
`void` `rowChanged(org.firebirdsql.jdbc.FBFetcher fetcher, byte[][] newRow)` Notify listener that underlying row was changed.

Method Detail

### fetcherClosed

    void fetcherClosed(org.firebirdsql.jdbc.FBFetcher fetcher)
                       throws SQLException

  Notify listener that underlying fetcher is closed.

  Parameters:
    `fetcher` - fetcher that was closed.
  Throws:
    `SQLException`

### allRowsFetched

    void allRowsFetched(org.firebirdsql.jdbc.FBFetcher fetcher)
                        throws SQLException

  Notify listener that underlying fetcher fetched all rows.

  Parameters:
    `fetcher` - fetcher that fetched all rows.
  Throws:
    `SQLException`

### rowChanged

    void rowChanged(org.firebirdsql.jdbc.FBFetcher fetcher,
                    byte[][] newRow)
                    throws SQLException

  Notify listener that underlying row was changed.

  Parameters:
    `fetcher` - instance of `FBFetcher` that caused this event.
    `newRow` - new row.
  Throws:
    `SQLException`

Copyright © 2001-2010. All Rights Reserved.